=== debian/changelog ===
ros-dashing-cloudwatch-logger (3.0.1-1bionic) bionic; urgency=high

  * Bump package version to 3.0.1 (#14 <https://github.com/aws-robotics/cloudwatchlogs-ros2/issues/14>)
  * Fix linting issues found by clang-tidy 6.0 (#12 <https://github.com/aws-robotics/cloudwatchlogs-ros2/issues/12>)
    * clang-tidy fixes
    * clang-tidy linting issues fixed manually
  * Contributors: Miaofei Mei, Ryan Newell

 -- AWS RoboMaker <ros-contributions@amazon.com>  Tue, 31 Mar 2020 00:00:00 -0000

ros-dashing-cloudwatch-logger (3.0.0-1bionic) bionic; urgency=high

  * remove changelog for new release (#8 <https://github.com/aws-robotics/cloudwatchlogs-ros2/issues/8>)
  * Bump version to 3.0.0, add CHANGELOG and missing dependencies
  * add log node unit test (#5 <https://github.com/aws-robotics/cloudwatchlogs-ros2/issues/5>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Add build depend on std_srvs (#4 <https://github.com/aws-robotics/cloudwatchlogs-ros2/issues/4>)
    * Add build depend on std_srvs
    * Add exec depend on std_srvs
  * Rename ament_cmake_ros to ament_cmake in CMakeLists.txt
  * initial ROS1 to ROS2 conversion
    [WIP] Ros1 conversion
  * address PR comments
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * remove unnecessary files
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * add log_node_param_helper unit test
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * correct the information in the README and cleanup the CMakeLists.txt
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * workaround fastrtps typesupport crash
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * fix "ros2 launch" behavior
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * port cloudwatch_logger offline support to ros2
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Convert all code, build files, launch files to ROS2.
  * Source from aws-robotics/cloudwatchlogs-ros1 master branch
  * Contributors: AAlon, Avishay Alon, Cameron Evans, M. M, Miaofei

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 06 Sep 2019 00:00:00 -0000
