=== debian/control ===
Source: ros-dashing-cloudwatch-logger
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gmock, ros-dashing-aws-common, ros-dashing-aws-ros2-common, ros-dashing-cloudwatch-logs-common, ros-dashing-rcl-interfaces, ros-dashing-rclcpp, ros-dashing-std-srvs, ros-dashing-ros-workspace
Homepage: http://wiki.ros.org/cloudwatch_logger
Standards-Version: 3.9.2

Package: ros-dashing-cloudwatch-logger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-aws-common, ros-dashing-aws-ros2-common, ros-dashing-cloudwatch-logs-common, ros-dashing-launch, ros-dashing-launch-ros, ros-dashing-rclcpp, ros-dashing-std-srvs, ros-dashing-ros-workspace
Description: CloudWatch Logger node for publishing logs to AWS CloudWatch Logs
